segment {EBImage} | R Documentation

## Segmentation and edge detection

### Description

Fucntions to segment images and detect edges.

### Usage

      ## S4 method for signature 'Image':
      edge(x, r=0, ...)
      ## S4 method for signature 'Image':
      segment(x, cl=10, s=1.5, ...)

### Arguments

`x` | An object of `Image`.
`r` | The radius of the pixel neighbourhood to take into account. The 0 value enables automatic radius selection.
`cl` | Minimum cluster size in pixels .
`s` | The smoothing threshold.
`...` | Reserved.

### Details

`edge` returns an image of edges between different colours in the original image. Most effective on binary images.

`segment` segment an image by analyzing the histograms of the color components and identifying units that are homogeneous with the fuzzy C-means technique (source and implementation `ImageMagick`). The smoothing threshold eliminates noise in the second derivative of the histogram. As the value is increased, you can expect a smoother second derivative.

### Value

A transformed image in an object of `Image`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2005-2006

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`Image`

[Package EBImage version 2.6.0 Index]